Subject: Re: linux-next: build failure after merge of the amdgpu tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 22 Jun 2022 08:07:26 +1000

Hi Alex,

On Tue, 21 Jun 2022 11:02:30 -0400 Alex Deucher <[email-masked]> wrote:
>
> On Tue, Jun 21, 2022 at 4:15 AM Stephen Rothwell <[email-masked]> wrote:
> >
> > On Wed, 15 Jun 2022 15:00:13 +1000 Stephen Rothwell <[email-masked]> wrote:  
> > >
> > > On Fri, 3 Jun 2022 14:43:15 +1000 Stephen Rothwell <[email-masked]> wrote:  
> > > >
> > > > After merging the amdgpu tree, today's linux-next build (powerpc
> > > > allyesconfig) failed like this:
> > > >
> > > > drivers/gpu/drm/amd/amdgpu/../display/dc/dml/dcn32/display_mode_vba_32.c: In function 'dml32_ModeSupportAndSystemConfigurationFull':
> > > > drivers/gpu/drm/amd/amdgpu/../display/dc/dml/dcn32/display_mode_vba_32.c:3835:1: error: the frame size of 2752 bytes is larger than 2048 bytes [-Werror=frame-larger-than=]
> > > >  3835 | } // ModeSupportAndSystemConfigurationFull
> > > >       | ^
> > > > cc1: all warnings being treated as errors  
> > >
> > > I am still getting the above failure.  
> >
> > I am still getting the above failure ... it has now been 19 days :-(  
> 
> Is it still the same error or something else?  I thought this was
> fixed in this patch:
> https://gitlab.freedesktop.org/agd5f/linux/-/commit/d6aa8424bcac64b2608452589c9a09984251c01c

Here is the message I got yesterday:

drivers/gpu/drm/amd/amdgpu/../display/dc/dml/dcn32/display_mode_vba_32.c: In function 'dml32_ModeSupportAndSystemConfigurationFull':
drivers/gpu/drm/amd/amdgpu/../display/dc/dml/dcn32/display_mode_vba_32.c:3833:1: error: the frame size of 2720 bytes is larger than 2048 bytes [-Werror=frame-larger-than=]
 3833 | } // ModeSupportAndSystemConfigurationFull
      | ^

-- 
Cheers,
Stephen Rothwell